RubyGems Navigation menu

rbsecp256k1 6.0.0

Native extension gem for secp256k1 ECDSA and Schnorr signatures. Wraps libsecp256k1 natively without any need for FFI.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 6.0.0 - January 31, 2023 (24 KB)
  2. 5.1.1 - December 30, 2022 (21 KB)
  3. 5.1.0 - December 01, 2021 (21 KB)
  4. 5.0.1 - August 12, 2021 (21 KB)
  5. 5.0.0 - June 08, 2019 (20.5 KB)
Show all versions (10 total)

Runtime Dependencies (3):

mini_portile2 ~> 2.8
pkg-config ~> 1.5
rubyzip ~> 2.3

Development Dependencies (7):

keccak ~> 1.3
rake ~> 13.0
rake-compiler ~> 1.2
rspec ~> 3.8
rubocop = 0.78
ruby_memcheck ~> 1.2
yard ~> 0.9

Owners:

Pushed by:

Authors:

  • Eric Scrivner

SHA 256 checksum:

d38f563bfc6bcf3ce20c336a4798cc6990427f291e74c6817360363a72f11669

Total downloads 294,508

For this version 49,464

License:

MIT

Required Ruby Version: >= 0

Links: